/**
 * 报告模块
 */
import {get,post} from './http'


/**
 * 研报详情
 * @param report_code
 * @param share_email 邮箱（如果是邮件推送的会带这个）
 */
export const apiReportDetail=params=>{
    return get('/english_report/detail',params)
}

/**
 * 研报分类 英文研报与线上路演分类相同
 */
export const apiReportClassifyList=(params)=>{
    return get('/english_report/classify',params)
}

/**
 * 研报列表
 * @param page_size
 * @param current
 * @param classify_id_first
 * @param classify_id_second
 */
export const apiReportList=params=>{
    return get('/english_report/list',params)
}

/**
 * 报告搜索
 * @param key_word
 * @param page_size
 * @param current
 */
export const apiReportSearch=params=>{
    return get('/english_report/filter_by_es',params)
}